export function randomOneOrMinusOne() {
  let mod;
  if (Math.floor(Math.random() * 2) == 1) mod = 1;
  else mod = -1;
  return mod;
}
export function get_randomDayTick(phase) {
  if (phase == "all") return 1001 + Math.floor(Math.random() * 12000);
  else if (phase == "day") return 1001 + Math.floor(Math.random() * 1000);
  else if (phase == "night") return 13000;
  else if (phase == "night_meteor")
    return 13000 + Math.floor(Math.random() * 10000);
  else return undefined;
}
export function get_randomWithWeight(mobs) {
  var wt = 0; // Сумма веса всех
  for (let i = 0; i < mobs.length; i++) {
    let mob = mobs[i];
    mob.bound = wt += mob.w; // Определяем границу, которая зависит от веса
  }
  let r = Math.floor(Math.random() * wt + 1);
  for (let i = 0; i < mobs.length; i++) {
    // Ищем какой попал в полученное случайное число
    let mob = mobs[i];
    if (r > mob.bound - mob.w && r <= mob.bound) {
      return mob.id;
    }
  }
}
